      subroutine read_det_coeffs
      use orbitals_module
      use confs_module
      implicit none
      integer i,k,ij,kl
      read(14) na
      allocate(pa(na),ia(na))
      read(14)(pa(i),i=1,na)
      read(14)(ia(i),i=1,na)
      read(14) nb
      nmola=nmol
      allocate(pb(nb),ib(nb))
      if(nb.ne.0) then
         nmola=nmol/2
         read(14)(pb(i),i=1,nb)
         read(14)(ib(i),i=1,nb)
      endif
!     input 2nd density matrix coefficients
      read(14) naa
      allocate(paa(naa),iaa(naa),jaa(naa),kaa(naa),laa(naa))
      read(14)(paa(i),i=1,naa)
      read(14)(iaa(i),i=1,naa)
      read(14)(jaa(i),i=1,naa)
      read(14)(kaa(i),i=1,naa)
      read(14)(laa(i),i=1,naa)
      do i=1,naa
         ij=indij(iaa(i))+jaa(i)
         kl=indij(kaa(i))+laa(i)
         if(ij.ne.kl) then
            paa(i)=paa(i)+paa(i)
         endif
      enddo
      read(14) nbb
      allocate(pbb(nbb),ibb(nbb),jbb(nbb),kbb(nbb),lbb(nbb))
      if(nbb.ne.0) then
         read(14)(pbb(i),i=1,nbb)
         read(14)(ibb(i),i=1,nbb)
         read(14)(jbb(i),i=1,nbb)
         read(14)(kbb(i),i=1,nbb)
         read(14)(lbb(i),i=1,nbb)
         do i=1,nbb
            ij=indij(ibb(i))+jbb(i)
            kl=indij(kbb(i))+lbb(i)
            if(ij.ne.kl) then
               pbb(i)=pbb(i)+pbb(i)
            endif
         enddo
      endif
      return
      end
